_G[gTable] = {};

local aTmpVal   = gTable;
cm.SetupTable(_G[aTmpVal]);

-- Called on Init
_G[gTable].OnInit = function(pObj)
	pObj.mState = 0;
	pObj.mCurCell = 1;
   cm.SetGlobalValIndirect(pObj, "CurrentFace", 0);
end


-- Called after data being loaded from disk
_G[gTable].OnLoad = function(pObj)

end


-- Called on a update
_G[gTable].OnUpdate = function(pObj)

   local aState = 0 + pObj.mState;
   if aState == 0 then
      if cm.GetGlobalBoolIndirect(pObj, "ActivatorFlag1") then
         pObj:StartFadeRects(PhFadeAnotherTimeShort);
   		pObj.mState		 = aState        + 1;
   		pObj.mCurCell   = pObj.mCurCell + 1;
   		cm.DisableObject(pObj);
      end

	elseif aState == 1 then

      if not pObj.mAlpha:AncIsChanging() then
         if pObj.mCurCell < 17 then
	         pObj:StartFadeRects(PhFadeAnotherTimeShort);
	   		pObj.mCurCell = pObj.mCurCell + 1;
	   		IcPlaySample("PH_SFX_ICESLABSLIDES2");
   		else
        		pObj.mState	= aState + 1;
			end
      end

   end

end


-- Called on a succesful click
_G[gTable].OnClick =  function(pObj, pName, pActorObj, pPolyNum, pX, pY)

	pObj.mDiscovered = true;
	if pName == "" then
      cm.GetShowInfo(pObj, "InfoStr1", "InfoTime1");
      return true;
	else
		cm.ObjDoesNotWork(pObj);
		return false;
	end
   return false;

end



-- Called on draw
_G[gTable].OnDraw =  function(pObj, pG)

	local aRpos = pObj.mSmPos;
	local aImg  = IcImageWrap(pObj.mSmallImage);
	assert(aImg);
	local aRect = aImg:GetCelRect(pObj.mCurCell);
	pG:DrawImage(aImg:GetImage(), aRpos.x, aRpos.y, aRect);

end


